/**
 * XActMoodRqoPrpAptArq.java
 *
 * File generated from the medication::XActMoodRqoPrpAptArq uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodRqoPrpAptArq.
 *
 * 
 */

@XmlType(name = "XActMoodRqoPrpAptArq")
@XmlEnum
@XmlRootElement(name = "XActMoodRqoPrpAptArq")
public enum XActMoodRqoPrpAptArq {
	@XmlEnumValue("APT")
	APT("APT"),
	@XmlEnumValue("ARQ")
	ARQ("ARQ"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XActMoodRqoPrpAptArq(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActMoodRqoPrpAptArq fromValue(String v) {
        for (XActMoodRqoPrpAptArq c: XActMoodRqoPrpAptArq.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}